Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.design
Class JRDesignCrosstabBucket

    java.lang.Object
      net.sf.jasperreports.crosstabs.base.JRBaseCrosstabBucket
          net.sf.jasperreports.crosstabs.design.JRDesignCrosstabBucket

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCrosstabBucket, JRChangeEventsSupport, JRCloneable

    public class JRDesignCrosstabBucket

extends JRBaseCrosstabBucket
implements JRChangeEventsSupport

Implementation of `corsstab group bucket` to be used for report designing.

Version:
  $Id: JRDesignCrosstabBucket.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_COMPARATOR_EXPRESSION`
`static java.lang.String` | `PROPERTY_EXPRESSION`
`static java.lang.String` | `PROPERTY_ORDER`
`static java.lang.String` | `PROPERTY_ORDER_BY_EXPRESSION`

Fields inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabBucket
`comparatorExpression, expression, orderByExpression, orderValue`

Constructor Summary
`JRDesignCrosstabBucket()` Creates a crosstab group bucket.

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setComparatorExpression(JRExpression comparatorExpression)` Sets the comparator expression.
`void` | `setExpression(JRDesignExpression expression)` Sets the grouping expression.
`void` | `setOrder(byte order)` Deprecated. Replaced by `setOrder(SortOrderEnum)`.
`void` | `setOrder(SortOrderEnum orderValue)` Sets the sorting type.
`void` | `setOrderByExpression(JRExpression orderByExpression)` Sets the expression that provides order by values for group buckets.

Methods inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabBucket
`clone, getComparatorExpression, getExpression, getOrder, getOrderByExpression, getOrderValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_ORDER_BY_EXPRESSION

    public static final java.lang.String PROPERTY_ORDER_BY_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_COMPARATOR_EXPRESSION

    public static final java.lang.String PROPERTY_COMPARATOR_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_EXPRESSION

    public static final java.lang.String PROPERTY_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_ORDER

    public static final java.lang.String PROPERTY_ORDER

See Also:
  Constant Field Values

Constructor Detail

### JRDesignCrosstabBucket

    public JRDesignCrosstabBucket()

  Creates a crosstab group bucket.

Method Detail

### setOrderByExpression

    public void setOrderByExpression(JRExpression orderByExpression)

  Sets the expression that provides order by values for group buckets.

  Parameters:
    `orderByExpression` - the expression that provides order by values for group buckets
  See Also:
    `JRBaseCrosstabBucket.getOrderByExpression()`

### setComparatorExpression

    public void setComparatorExpression(JRExpression comparatorExpression)

  Sets the comparator expression.

  The expressions's type should be compatible with `java.util.Comparator`.

  Parameters:
    `comparatorExpression` - the comparator expression
  See Also:
    `JRCrosstabBucket.getComparatorExpression()`

### setExpression

    public void setExpression(JRDesignExpression expression)

  Sets the grouping expression.

  Parameters:
    `expression` - the grouping expression
  See Also:
    `JRCrosstabBucket.getExpression()`

### setOrder

    public void setOrder(byte order)

  Deprecated. Replaced by `setOrder(SortOrderEnum)`.

### setOrder

    public void setOrder(SortOrderEnum orderValue)

  Sets the sorting type.

  Parameters:
    `orderValue` - one of
    - `SortOrderEnum.ASCENDING`
    - `SortOrderEnum.DESCENDING`
  See Also:
    `JRCrosstabBucket.getOrderValue()`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com